#ifndef QTCONTEXT_H
#define QTCONTEXT_H

#include <QGLContext>
#include "./Context/Context.h"

/// Qt OpenGL context.
/** 
*	Qt OpenGL context.
*
*/
class QContext: public Context
{
private:
	QGLContext *context;

public:
	virtual void makeCurrent(void);	/**< Activates context. */
	virtual void doneCurrent(void);	/**< Deactivates context. */
	virtual void swapBuffer(void);	/**< Swap OpenGL buffers (for double buffering). */
	QContext( QGLContext* context);
};



#endif